#!/usr/bin/env python
# -*- coding: utf-8 -*-
# Filename: readConfig.py
# Author: Xu Jia (Sanfanling)   E-mail:xujia19@gmail.com
# Lisence: GPL-2.0 

import os
import ConfigParser

class readConfig:

	def __init__(self):
		self.f='%s/.lrcShow-X/lrcShow-X.conf' %os.getenv('HOME')
		
	def parse(self):
		configList=[]
		itemList=['lrcpath','download','linenumber','backroundcolor','fontcolor','highlightcolor','fontinfo','proxy','encoder','searchengine','savelrcpath','nolrc','includecancel','autoinsert','titlebarinfo','completetag','filterlyrics','nullline','filterrule','filtercap','astrackname','minwidth','savetomediapath','searchmediapath','useuslt','lastposition','lrctagtype','lastshowmode','lastistop','remembershowmode','trayicon','trayiconnotify','transparency','opacity','rememberopacity','trayinfotime','enablemultiengines','multiengines','transeffect','autoembed','autoembedfromlocal','autoembedfromnet','editorsyncmode','linemargin','recursiondepth','scrolltype']
		
		shortCutList=['fullscreen','osd','normal','insert','cancel','editor','save','delay','advance','fastbar','refresh']
		
		p=ConfigParser.ConfigParser()
		p.read(self.f)
		for i in itemList:
			a=p.get('option',i)
			configList.append(a)
		for j in shortCutList:
			b=p.get('shortcuts',j)
			configList.append(b)
		if(int(configList[2]) not in range(1,21,2)):
			configList[2]=3
		else:
			configList[2]=int(configList[2])
		configList[6]=unicode(configList[6],'utf8')
		configList[21]=int(configList[21])
		configList[33]=int(configList[33])
		configList[35]=int(configList[35])
		configList[43]=int(configList[43])
		return configList
		
	def parseShortcut(self):
		configList=[]
		shortCutList=['fullscreen','osd','normal','insert','cancel','editor','save','delay','advance','fastbar','refresh']
		
		p=ConfigParser.ConfigParser()
		p.read(self.f)
		for i in shortCutList:
			a=p.get('shortcuts',i)
			configList.append(a)
		return configList