#!/usr/bin/env python
# -*- coding: utf-8 -*-
# Author: Xu Jia (Sanfanling)   E-mail:xujia19@gmail.com
# Lisence: GPL-2.0
 
from PyQt4.QtCore import *
from PyQt4.QtGui import *
import sys

class ttpChooseGui(QDialog):
	
	def __init__(self, parent = None, *args):
        	QDialog.__init__(self, parent)
		self.counter=16
		self.setWindowTitle(_('Please choose lrc, after %ssecs auto choose for you') %str(self.counter))
		MainWindowLayout=QVBoxLayout(self)
		layout1=QVBoxLayout(None)
		self.listBox=QListWidget(self)
		
		layout2=QHBoxLayout(None)
		layout2.setContentsMargins(10,10,10,10)
		layout2.setSpacing(20)
		layout2.addStretch(0)
		self.okButton=QPushButton(self)
		self.okButton.setText(_('Ok'))
		#self.okButton.setText(u'使用')
		self.okButton.setAutoDefault(False)
		self.cancelButton=QPushButton(self)
		self.cancelButton.setText(_('Cancel'))
		self.cancelButton.setAutoDefault(False)
		layout2.addWidget(self.okButton)
		layout2.addWidget(self.cancelButton)
		
		layout1.addWidget(self.listBox)
		layout1.addLayout(layout2)
		MainWindowLayout.addLayout(layout1)
		self.cancelButton.setAutoDefault(False)
		
		self.myTimer=QTimer()
		self.myTimer.setSingleShot(False)
		self.myTimer.start(1000)

		self.connect(self.okButton,SIGNAL("clicked()"),self,SLOT("accept()"))
		self.connect(self.cancelButton,SIGNAL("clicked()"),self,SLOT("reject()"))
		self.connect(self.myTimer,SIGNAL("timeout()"),self.autoCount)
		self.connect(self.listBox, SIGNAL("itemDoubleClicked(QListWidgetItem *)"), self, SLOT("accept()"))
	
	def autoCount(self):
		if(self.counter==0):
			self.accept()
		else:
			self.counter-=1
			self.setWindowTitle(_('Please choose lrc, after %ssecs auto choose for you') %str(self.counter))