#!/usr/bin/env python
# -*- coding: utf-8 -*-
# Author: Xu Jia (Sanfanling)   E-mail:xujia19@gmail.com
# Lisence: GPL-2.0
 
from PyQt4.QtCore import SIGNAL, SLOT
from PyQt4.QtGui import QDialog, QVBoxLayout, QHBoxLayout, QPushButton, QLabel, QComboBox, QCheckBox, QLayout

class chooseEngine(QDialog):
	
	def __init__(self, parent = None, *args):
        	QDialog.__init__(self, parent)
		
		self.setWindowTitle(_('Set the search engine'))
		mainLayout=QVBoxLayout(None)
		
		layout1=QHBoxLayout(None)
		layout1.addStretch(0)
		layout1.SizeConstraint(QLayout.SetFixedSize)
		layout1.setSpacing(20)
		self.okButton=QPushButton(_('Ok'),self)
		self.cancelButton=QPushButton(_('Cancel'),self)
		layout1.addWidget(self.okButton)
		layout1.addWidget(self.cancelButton)
		
		layout2=QVBoxLayout(None)
		self.label=QLabel(_('Please choose the search engine'),self)
		self.combo=QComboBox(self)
		self.searchNow=QCheckBox(_('Search internet immediately'),self)
		layout2.addWidget(self.label)
		layout2.addWidget(self.combo)
		layout2.addWidget(self.searchNow)
		
		mainLayout.addLayout(layout2)
		mainLayout.addLayout(layout1)
		
		self.setLayout(mainLayout)
		
		self.connect(self.okButton,SIGNAL("clicked()"),self,SLOT("accept()"))
		self.connect(self.cancelButton,SIGNAL("clicked()"),self,SLOT("reject()"))
